@import 'src/assets/styles/_variables.scss';
@import 'src/assets/styles/classes';

:host {
  display: flex;
  height: 100%;
}

.container {
  display: flex;
  flex-direction: column;
  padding: $spacing-48;
  width: 100%;

  form {
    display: flex !important;
    flex-direction: row;
    justify-content: center;
    align-items: flex-start;
    width: 100%;
    gap: $spacing-16;
    transition: padding-top 1s;
    margin-bottom: $spacing-16;

    app-input-field {
      width: 20rem;
    }
  }

  &__lyrics-border {
    max-height: calc(100vh - 10rem);
    transition: height 1s;
  }

  &__lyrics-container {
    max-height: 100%;
    overflow: auto;
    transition: height 1s;
    font-size: 1.25rem;
    padding: $spacing-56;

    &--with-text {
      background-color: var(--lyrics-background);
    }
  }

  &__no-lyrics-found {
    width: 100%;
    text-align: center;
  }

  .no-lyrics {
    padding-top: 25rem;
  }
}

